Skip to main content
GET
Ticker Flow

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ticker
string
required

A single ticker

Example:

"AAPL"

Query Parameters

limit
integer
default:500

How many items to return. Max: 500. Min: 1. Returns up to 500 when omitted.

Required range: 1 <= x <= 500
Example:

10

page
integer

Page number (use with limit). Starts on page 0.

Example:

1

Response

The total buy/sell insider flow for a given ticker on a given date. If there have been buy & sells on the same day then there will be 2 rows for that day.

avg_price
string

The average price of the insider trade.

Example:

"123.45"

buy_sell
enum<string>

Whether the insider bought or sold.

Available options:
buy,
sell
Example:

"buy"

date
string

A trading date in ISO format.

Example:

"2023-09-08T00:00:00.000Z"

has_more
boolean

Indicates whether there are more results available beyond the current page.

Example:

false

premium
string

The premium of the insider trade.

Example:

"123.45"

transactions
integer

The number of transactions of the insider trade.

Example:

1

uniq_insiders
integer

The number of unique insiders of the insider trade.

Example:

1

volume
integer

The volume of the insider trade.

Example:

1000

Last modified on September 29, 2026